Products
Create a new product
Creates a new product within the store identified by x-store-id. Requires name, pricing_model, and price in the request body. Optionally includes description and other attributes. Valid pricing models are one_time, subscription, pay_what_you_want, and tiered. Ensures the new product is not archived.
POST
/
v1
/
products
Create a new product
curl --request POST \
--url https://api.blink.store/v1/v1/products \
--header 'Content-Type: application/json' \
--header 'x-store-id: <api-key>' \
--data '
{
"name": "<string>",
"price": 123,
"description": "<string>",
"status": "<string>",
"subscription_interval": "<string>",
"trial_days": 123,
"preview_link": "<string>",
"requires_license_key": true,
"license_key_activation_limit": 123,
"cart_recovery_enabled": true,
"customer_portal_visibility": "<string>"
}
'import requests
url = "https://api.blink.store/v1/v1/products"
payload = {
"name": "<string>",
"price": 123,
"description": "<string>",
"status": "<string>",
"subscription_interval": "<string>",
"trial_days": 123,
"preview_link": "<string>",
"requires_license_key": True,
"license_key_activation_limit": 123,
"cart_recovery_enabled": True,
"customer_portal_visibility": "<string>"
}
headers = {
"x-store-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-store-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
price: 123,
description: '<string>',
status: '<string>',
subscription_interval: '<string>',
trial_days: 123,
preview_link: '<string>',
requires_license_key: true,
license_key_activation_limit: 123,
cart_recovery_enabled: true,
customer_portal_visibility: '<string>'
})
};
fetch('https://api.blink.store/v1/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"store_id": "<string>",
"name": "<string>",
"description": "<string>",
"preview_link": "<string>",
"pricing_model": "<string>",
"price": 123,
"currency": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subscription_interval": "<string>",
"trial_days": 123,
"pricing_tiers": "<string>",
"package_size": 123,
"metered_prices": "<string>",
"requires_license_key": true,
"license_key_activation_limit": 123,
"cart_recovery_enabled": true,
"customer_portal_visibility": true,
"variants": [
{
"id": "<string>",
"product_id": "<string>",
"name": "<string>",
"description": "<string>",
"price": 123,
"subscription_interval": "<string>",
"trial_days": 123,
"is_active": true,
"requires_license_key": true,
"license_key_activation_limit": 123,
"created_at": "2023-11-07T05:31:56Z",
"deliverables": [
{
"id": "<string>",
"type": "<string>",
"title": "<string>",
"description": "<string>",
"url": "<string>",
"button_label": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
],
"deliverables": [
{
"id": "<string>",
"type": "<string>",
"title": "<string>",
"description": "<string>",
"url": "<string>",
"button_label": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"images": [
{
"id": "<string>",
"file_url": "<string>",
"position": 123
}
]
}Authorizations
Body
application/json
Available options:
one_time, subscription, pay_what_you_want, tiered Response
Product created successfully.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Previous
Remove an Organization MemberRevokes a member's seat in the organization and removes them.
Next
⌘I
Create a new product
